Subject: PMP> RE: OID Registrations

From: "McDonald, Ira" <[email-masked]>
Date: Fri, 15 Apr 2005 08:20:10 -0700

Hi Ron,
 
Glad you could find Don's email.  I spent a long time searching the PWG
server
in HTTP and FTP without finding anything yesterday.
 
By the way, Don's original proposal that put Job MIB down two-levels was
formally
invalid.  When the IETF designates an arc for an enterprise (e.g.,
'pwg(2699)),
an immediate subordinate arc must contains MIB module registrations
(remember
the parent arc belongs to the IETF, who get to make the MIB rules).
 
NONE of the other uses (Protocols, IPP, etc.) have ever materialized.
 
The eventual OID registrations document SHOULD be in plaintext and stored
in 'pub/pwg/general/registrations' (or some similarly obvious sub-directory
of
'pub/pwg/general'.
 
Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked] 

-----Original Message-----
From: Bergman, Ron [mailto:[email-masked]]
Sent: Thursday, April 14, 2005 2:25 PM
To: [email-masked]
Cc: Harry Lewis (E-mail); Ira McDonald (E-mail 3); [email-masked]
Subject: OID Registrations

Jerry, 

I found the Email from Don with the OID allocation proposal but I cannot 
find in any of the minutes where it was approved and who was to create 
the registration document.  I recall it being discussed in a meeting but 
do not remember if anyone was assigned to followup. 

From Don's email in the JMP archives dated 14 Nov 1997, subject: 
"Job MIB - trials and tribulations" 

To be consistant, we might even want to do something like: 
......2699.1........ MIBS
..... 2699.1.1.1...... Job Mib
..... 2699.1.1.2 ..... Future Job Mib extensions
..... 2699.1.2.1 ..... Finisher Mib
..... 2699.1.2.2 ..... Finisher Mib extensions
..... 2699.1.3.1 ..... Hey, how about... Printer Mib
..... 2699.1.3.2 ..... Printer MIB extensions
..... 2699.1.3.2 ..... Printer MIB extensions
......2699.2........ PROTOCOLS
......2699.2.1...... IPP
..... 2699.2.1.1 ..... IPP Operations (as suggested by someone, below)
..... 2699.2.1.2 ..... IPP Attributes
......2699.2.2....... Some Other Protocol
......2699.3........ SOMETHING_ELSE_BESIDES_MIBS_AND_PROTOCOLS 
The actual current official assignments are: 
......2699.1........ MIBS
..... 2699.1.1....... jobMonMIB
..... 2699.1.1.1...... jobmonMIBObjects
..... 2699.1.1.2 ..... jobmonMIBNotifications
..... 2699.1.1.2 ..... jobmonMIBConformance
..... 2699.1.2....... Port Monitor MIB
......2699.2........ PROTOCOLS

where the third level is assigned by the project, not the PWG. 

So the present PWG OID assignment tree is: 

......2699.1........ MIBS
..... 2699.1.1....... Job Monitoring MIB  (jobMonMIB, RFC 2707)
..... 2699.1.2....... Port Monitor MIB  (ppmMIB, TBA)
..... 2699.1.3....... (TBA)
......2699.2........ PROTOCOLS
..... 2699.2.2....... (TBA)
..... 2699.3....... (TBA)

Now, all we need is a home for this information. 

        Ron